
#ifndef LOG_H
#define LOG_H

// logging system
// Autor: Jrg Haeger, 27.05.1999

#include <stdio.h>

class Log
{
public:
	Log();

	// conditional logging of debug messages
	void debug(const char *tag, const char *format, ...);

	// logging import messages
	void put(const char *format, ...);

	// logging all messages
	void putv(const char *format, ...);

	void start(int putvToStdOut = 0);
private:
	FILE *file, *file2;
	int active;
};

extern Log log;

#endif

