
#ifndef SUPPORT_H
#define SUPPORT_H

#include <stdio.h>
#include <string.h>

inline int
max(int a, int b)
{
	if (a > b)
		return a;
	else
		return b;
}

inline int
min(int a, int b)
{
	if (a < b)
		return a;
	else
		return b;
}

void skipBytes(FILE *inStream, int bytesToSkip);

inline char *
strCat(const char *str1, const char *str2)
{
	char *newStr = new char[strlen(str1) + strlen(str2) + 1];
	strcpy(newStr, str1);
	strcat(newStr, str2);
	return newStr;
}

inline char *
strDup(const char *str)
{
	char *newStr = new char[strlen(str) + 1];
	strcpy(newStr, str);
	return newStr;
}

void
makeDirs(const char *fileName);

int
waitForInput(FILE *inStream, int seconds);

#endif

